import { message } from "antd/lib/index";
import { getPropertyData, extendInclude, extendRule, getDataFieldValue, setDataFieldValue, initFilter, guid } from "../../utils/common";
import moment from 'moment';
import { Button, Row, Col, Form, Input, Select, Upload, Icon, Modal, Spin,Table } from 'antd';
/**
 * @return {string}
 */
// 编辑
export default {
  onBeforeSaveHandleRecord(params) {
    params.record.TaskID = params.data.TaskID    //TaskID传递消息表ID
    params.record.PUBLISH = params.customParams;
    // params.record.FORM_CODE = params.data.reloadKey.substring(0,params.data.reloadKey.indexOf("_"));
  },
  onBeforeEdit(params){
    const { isNew, setFieldVisible, dispatch, login, setFieldValue,data, stateData ,getFieldValue} = params ? params : {};
    if(isNew)
    {
      setFieldVisible('LAW_NAME', false);
      let type = getFieldValue('TYPE');
      let json = initFilter(login.OrgId,type);
      dispatch({
          type: 'app/getDataByPost',
          payload: json,
          url: 'SC/SCStandardCreate/GetFileCode',
          onComplete: (ret) => {
              if(ret)
              {
                setFieldValue('CODE', ret);
              }                   
          }
      });
    }
  }
}
